Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class ServiceRefHandlerChainsTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.ServiceRefHandlerChainsTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefHandlerChainsType<T>

    public class ServiceRefHandlerChainsTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefHandlerChainsType<T>

This class implements the `service-ref_handler-chainsType` xsd type

Original Documentation:

The handler-chains element defines the handlerchains associated with this
service or service endpoint.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ServiceRefHandlerChainsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ServiceRefHandlerChainsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>>>` | `getHandlerChainList()` Returns all `handler-chain` elements
`ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>>` | `handlerChain()` Returns the `handler-chain` element
`ServiceRefHandlerChainsType<T>` | `removeAllHandlerChain()` Removes all `handler-chain` elements
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefHandlerChainsTypeImpl

    public ServiceRefHandlerChainsTypeImpl(T t,
                                           java.lang.String nodeName,
                                           org.jboss.shrinkwrap.descriptor.spi.Node node)

### ServiceRefHandlerChainsTypeImpl

    public ServiceRefHandlerChainsTypeImpl(T t,
                                           java.lang.String nodeName,
                                           org.jboss.shrinkwrap.descriptor.spi.Node node,
                                           org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllHandlerChain

    public ServiceRefHandlerChainsType<T> removeAllHandlerChain()

  Removes all `handler-chain` elements

  Specified by:
    `removeAllHandlerChain` in interface `ServiceRefHandlerChainsType<T>`
  Returns:
    the current instance of `ServiceRefHandlerChainsType`

### handlerChain

    public ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>> handlerChain()

  Returns the `handler-chain` element

  Specified by:
    `handlerChain` in interface `ServiceRefHandlerChainsType<T>`
  Returns:
    the node defined for the element `handler-chain`

### getHandlerChainList

    public java.util.List<ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>>> getHandlerChainList()

  Returns all `handler-chain` elements

  Specified by:
    `getHandlerChainList` in interface `ServiceRefHandlerChainsType<T>`
  Returns:
    list of `handler-chain`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD